function _define_property(obj, key, value) {
    if (key in obj) {
        Object.defineProperty(obj, key, {
            value: value,
            enumerable: true,
            configurable: true,
            writable: true
        });
    } else {
        obj[key] = value;
    }
    return obj;
}
function _object_spread(target) {
    for(var i = 1; i < arguments.length; i++){
        var source = arguments[i] != null ? arguments[i] : {};
        var ownKeys = Object.keys(source);
        if (typeof Object.getOwnPropertySymbols === "function") {
            ownKeys = ownKeys.concat(Object.getOwnPropertySymbols(source).filter(function(sym) {
                return Object.getOwnPropertyDescriptor(source, sym).enumerable;
            }));
        }
        ownKeys.forEach(function(key) {
            _define_property(target, key, source[key]);
        });
    }
    return target;
}
function _object_without_properties(source, excluded) {
    if (source == null) return {};
    var target = {}, sourceKeys, key, i;
    if (typeof Reflect !== "undefined" && Reflect.ownKeys) {
        sourceKeys = Reflect.ownKeys(source);
        for(i = 0; i < sourceKeys.length; i++){
            key = sourceKeys[i];
            if (excluded.indexOf(key) >= 0) continue;
            if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue;
            target[key] = source[key];
        }
        return target;
    }
    target = _object_without_properties_loose(source, excluded);
    if (Object.getOwnPropertySymbols) {
        sourceKeys = Object.getOwnPropertySymbols(source);
        for(i = 0; i < sourceKeys.length; i++){
            key = sourceKeys[i];
            if (excluded.indexOf(key) >= 0) continue;
            if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue;
            target[key] = source[key];
        }
    }
    return target;
}
function _object_without_properties_loose(source, excluded) {
    if (source == null) return {};
    var target = {}, sourceKeys = Object.getOwnPropertyNames(source), key, i;
    for(i = 0; i < sourceKeys.length; i++){
        key = sourceKeys[i];
        if (excluded.indexOf(key) >= 0) continue;
        if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue;
        target[key] = source[key];
    }
    return target;
}
import React from 'react';
import styled, { css } from 'styled-components';
import { applySkeletonGradient, applyRoundness } from '../../mixins';
import { DEFAULT_ROUNDNESS } from './Skeleton';
var StyledRectSkeleton = styled.div.withConfig({
    displayName: "RectSkeleton__StyledRectSkeleton",
    componentId: "sc-b64b4dbc-0"
})([
    "",
    ";",
    ";position:relative;overflow:hidden;",
    ""
], applyRoundness, applySkeletonGradient, function(param) {
    var $width = param.$width, $height = param.$height;
    return css([
        "width:",
        ";height:",
        ";"
    ], $width, $height);
});
/**
 * Компонент для создания прямоугольного плейсхолдера.
 */ export var RectSkeleton = function RectSkeleton(_0) {
    var width = _0.width, height = _0.height, _0_roundness = _0.roundness, roundness = _0_roundness === void 0 ? DEFAULT_ROUNDNESS : _0_roundness, rest = _object_without_properties(_0, [
        "width",
        "height",
        "roundness"
    ]);
    return /*#__PURE__*/ React.createElement(StyledRectSkeleton, _object_spread({
        $width: typeof width === 'string' ? width : "".concat(width, "px"),
        $height: typeof height === 'string' ? height : "".concat(height, "px"),
        roundness: roundness
    }, rest));
};
